Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1338053 - Admin Guide instructions for mkfs.xfs errors out with "data su must be a multiple of the sector size (512)"
Summary: Admin Guide instructions for mkfs.xfs errors out with "data su must be a mult...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Laura Bailey
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351546
TreeView+ depends on / blocked
 
Reported: 2016-05-21 05:13 UTC by Wesley Duffee-Braun
Modified: 2017-03-24 01:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 01:08:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wesley Duffee-Braun 2016-05-21 05:13:48 UTC
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Administration_Guide/Formatting_and_Mounting_Bricks.html#idp31546784

Section Number and Name: 
6.4.1 Creating Bricks Manually -> Formatting and Mounting Bricks -> Step 1

Describe the issue: 
Incorrect suffix for the sunit value leads to error.

# mkfs.xfs -f -i size=512 -n size=8192 -d su=128K,sw=10 /dev/rhs_vg/rhs_lv
data su must be a multiple of the sector size (512)

Suggestions for improvement: 
Change the K in 128K to the lower-case k. This resolves the issue and the mkfs command completes successfully.

Comment 5 Laura Bailey 2016-10-18 06:08:40 UTC
Hi Wesley,

You should be able to see the corrected version of this document at the following link:

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz1338053-mkfs-unit-correction/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Formatting_and_Mounting_Bricks

The section in question is under ⁠6.4.1. Creating Bricks Manually, in the 'Formatting and Mounting Bricks' subsection.

Can you confirm that this command works the way you need it to?

Comment 6 Wesley Duffee-Braun 2016-10-18 14:36:32 UTC
(In reply to Laura Bailey from comment #5)
> Hi Wesley,
> 
> You should be able to see the corrected version of this document at the
> following link:
> 
> http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-
> Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-bz1338053-mkfs-unit-
> correction/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.
> html#Formatting_and_Mounting_Bricks
> 
> The section in question is under ⁠6.4.1. Creating Bricks Manually, in the
> 'Formatting and Mounting Bricks' subsection.
> 
> Can you confirm that this command works the way you need it to?

Ack, looks great - thanks!

Comment 8 Byreddy 2017-02-06 04:33:47 UTC
Modified text looks good to me, Moving to verified state.

Comment 9 Laura Bailey 2017-03-24 01:08:16 UTC
Moving to CLOSED CURRENTRELEASE since RHGS 3.2 GA was yesterday. All documentation is available from https://access.redhat.com/documentation/en/red-hat-gluster-storage/.


Note You need to log in before you can comment on or make changes to this bug.